Modify

Opened 5 months ago

Closed 5 months ago

#19860 closed defect (othersoftware)

NPE at start up on MacOS

Reported by: pghbridges@… Owned by: pghbridges@…
Priority: normal Milestone:
Component: Core Version:
Keywords: macosx Cc: Stereo

Description

URL:https://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2020-09-06 16:54:59 +0200 (Sun, 06 Sep 2020)
Build-Date:2020-09-07 01:30:48
Revision:17013
Relative:URL: ^/trunk

Identification: JOSM/1.5 (17013 en) Mac OS X 10.14.6
OS Build number: Mac OS X 10.14.6 (18G4032)
Memory Usage: 572 MB / 1820 MB (486 MB allocated, but free)
Java version: 1.8.0_261-b12, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Look and Feel: com.apple.laf.AquaLookAndFeel
Screen: Display 69975944 2560x1440 (scaling 1.0x1.0)
Maximum Screen Size: 2560x1440
Best cursor sizes: 16x16 -> 16x16, 32x32 -> 32x32
VM arguments: [-Djava.library.path=/Applications/josm-macosx/JOSM.app/Contents/MacOS, -DLibraryDirectory=${HOME}/Library, -DDocumentsDirectory=${HOME}/Documents, -DApplicationSupportDirectory=${HOME}/Library/Application Support, -DCachesDirectory=${HOME}/Library/Caches, -DApplicationDirectory=${HOME}/Applications, -DAutosavedInformationDirectory=${HOME}/Library/Autosave Information, -DDesktopDirectory=${HOME}/Desktop, -DDownloadsDirectory=${HOME}/Downloads, -DMoviesDirectory=${HOME}/Movies, -DMusicDirectory=${HOME}/Music, -DPicturesDirectory=${HOME}/Pictures, -DSharedPublicDirectory=${HOME}/Public, -DSystemLibraryDirectory=/Library, -DSystemApplicationSupportDirectory=/Library/Application Support, -DSystemCachesDirectory=/Library/Caches, -DSystemApplicationDirectory=/Applications, -DSystemUserDirectory=/Users, -DUserHome=${HOME}, -DSandboxEnabled=true, -DLaunchModifierFlags=0, -DLaunchModifierFlagCapsLock=false, -DLaunchModifierFlagShift=false, -DLaunchModifierFlagControl=false, -DLaunchModifierFlagOption=false, -DLaunchModifierFlagCommand=false, -DLaunchModifierFlagNumericPad=false, -DLaunchModifierFlagHelp=false, -DLaunchModifierFlagFunction=false, -Dapple.laf.useScreenMenuBar=true, -Dcom.apple.macos.use-file-dialog-packages=true, -Dcom.apple.macos.useScreenMenuBar=true, -Dcom.apple.mrj.application.apple.menu.about.name=JOSM, -Dcom.apple.smallTabs=true]

Plugins:
+ BuildingGeneralization
+ PicLayer
+ buildings_tools

Last errors/warnings:
- 00063.320 E: Handled by bug report queue: java.lang.NullPointerException
- 00063.560 E: Handled by bug report queue: java.lang.NullPointerException
- 00063.800 E: Handled by bug report queue: java.lang.NullPointerException
- 00064.001 E: Handled by bug report queue: java.lang.NullPointerException
- 00064.256 E: Handled by bug report queue: java.lang.NullPointerException
- 00064.496 E: Handled by bug report queue: java.lang.NullPointerException
- 00064.760 E: Handled by bug report queue: java.lang.NullPointerException
- 00064.986 E: Handled by bug report queue: java.lang.NullPointerException
- 00065.232 E: Handled by bug report queue: java.lang.NullPointerException
- 00065.464 E: Handled by bug report queue: java.lang.NullPointerException


=== REPORTED CRASH DATA ===
BugReportExceptionHandler#handleException:
No data collected.

Warning issued by: BugReportExceptionHandler#handleException

=== STACK TRACE ===
Thread: JOSM version checker (163)
java.lang.NullPointerException
	at org.openstreetmap.josm.tools.HttpClient.create(HttpClient.java:539)
	at org.openstreetmap.josm.tools.HttpClient.create(HttpClient.java:528)
	at org.openstreetmap.josm.io.CachedFile.checkLocal(CachedFile.java:491)
	at org.openstreetmap.josm.io.CachedFile.getFile(CachedFile.java:284)
	at org.openstreetmap.josm.io.CachedFile.getInputStream(CachedFile.java:227)
	at org.openstreetmap.josm.io.CachedFile.getByteContent(CachedFile.java:245)
	at org.openstreetmap.josm.gui.bugreport.JosmUpdatePanel.getTestedVersion(JosmUpdatePanel.java:66)
	at org.openstreetmap.josm.gui.bugreport.JosmUpdatePanel.readCurrentVersion(JosmUpdatePanel.java:52)
	at java.lang.Thread.run(Thread.java:748)

Attachments (0)

Change History (17)

comment:1 Changed 5 months ago by Don-vip

Keywords: macosx added
Milestone: 20.09
Owner: changed from team to Don-vip
Status: newassigned

comment:2 Changed 5 months ago by Don-vip

Summary: JOSM won't start up on MacOSNPE at start up on MacOS

comment:3 Changed 5 months ago by Don-vip

Resolution: fixed
Status: assignedclosed

In 17076/josm:

fix #19860 - prevent illegal state to raise an NPE at JOSM startup on macOS

comment:4 Changed 5 months ago by anonymous

Thanks for this. When would the updated version be available for download?

comment:5 Changed 5 months ago by Don-vip

Soon, later tonight or tomorrow.

comment:6 Changed 5 months ago by pghb

Downloaded updated release - 17084. Still not working. JOSM will not start.

URL:https://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2020-10-03 13:42:38 +0200 (Sat, 03 Oct 2020)
Build-Date:2020-10-04 01:30:47
Revision:17084
Relative:URL: ^/trunk

Identification: JOSM/1.5 (17084 en) Mac OS X 10.14.6
OS Build number: Mac OS X 10.14.6 (18G4032)
Memory Usage: 899 MB / 1820 MB (355 MB allocated, but free)
Java version: 1.8.0_261-b12, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Look and Feel: com.apple.laf.AquaLookAndFeel
Screen: Display 69975944 2560x1440 (scaling 1.0x1.0)
Maximum Screen Size: 2560x1440
Best cursor sizes: 16x16 -> 16x16, 32x32 -> 32x32
VM arguments: [-Djava.library.path=/private/var/folders/ns/7jcvgkgd1w568s82d74zs2s80000gn/T/AppTranslocation/A0CC28B8-16DA-46A0-A44B-C5C3B020A121/d/JOSM.app/Contents/MacOS, -DLibraryDirectory=${HOME}/Library, -DDocumentsDirectory=${HOME}/Documents, -DApplicationSupportDirectory=${HOME}/Library/Application Support, -DCachesDirectory=${HOME}/Library/Caches, -DApplicationDirectory=${HOME}/Applications, -DAutosavedInformationDirectory=${HOME}/Library/Autosave Information, -DDesktopDirectory=${HOME}/Desktop, -DDownloadsDirectory=${HOME}/Downloads, -DMoviesDirectory=${HOME}/Movies, -DMusicDirectory=${HOME}/Music, -DPicturesDirectory=${HOME}/Pictures, -DSharedPublicDirectory=${HOME}/Public, -DSystemLibraryDirectory=/Library, -DSystemApplicationSupportDirectory=/Library/Application Support, -DSystemCachesDirectory=/Library/Caches, -DSystemApplicationDirectory=/Applications, -DSystemUserDirectory=/Users, -DUserHome=${HOME}, -DSandboxEnabled=true, -DLaunchModifierFlags=0, -DLaunchModifierFlagCapsLock=false, -DLaunchModifierFlagShift=false, -DLaunchModifierFlagControl=false, -DLaunchModifierFlagOption=false, -DLaunchModifierFlagCommand=false, -DLaunchModifierFlagNumericPad=false, -DLaunchModifierFlagHelp=false, -DLaunchModifierFlagFunction=false, -Dapple.laf.useScreenMenuBar=true, -Dcom.apple.macos.use-file-dialog-packages=true, -Dcom.apple.macos.useScreenMenuBar=true, -Dcom.apple.mrj.application.apple.menu.about.name=JOSM, -Dcom.apple.smallTabs=true]

Plugins:
+ BuildingGeneralization
+ PicLayer
+ buildings_tools

Last errors/warnings:
- 00005.557 W: java.lang.ExceptionInInitializerError. Cause: java.lang.SecurityException: Can not initialize cryptographic mechanism. Cause: java.lang.SecurityException: The jurisdiction policy files are not signed by the expected signer! (Policy files are specific per major JDK release.Ensure the correct version is installed.)
- 00005.558 W: java.lang.SecurityException: The jurisdiction policy files are not signed by the expected signer! (Policy files are specific per major JDK release.Ensure the correct version is installed.)
- 00006.544 E: Handled by bug report queue: java.lang.NoClassDefFoundError: sun.security.ssl.SSLContextImpl$AbstractTLSContext
- 00006.643 E: Handled by bug report queue: java.lang.NoClassDefFoundError: sun.security.ssl.SSLContextImpl$AbstractTLSContext


=== REPORTED CRASH DATA ===
BugReportExceptionHandler#handleException:
No data collected.

Warning issued by: BugReportExceptionHandler#handleException

=== STACK TRACE ===
Thread: main (1)
java.lang.NoClassDefFoundError: sun.security.ssl.SSLContextImpl$AbstractTLSContext
	at java.lang.Class.forName0(Native Method)
	at java.lang.Class.forName(Class.java:264)
	at java.security.Provider$Service.getImplClass(Provider.java:1701)
	at java.security.Provider$Service.newInstance(Provider.java:1659)
	at sun.security.jca.GetInstance.getInstance(GetInstance.java:236)
	at sun.security.jca.GetInstance.getInstance(GetInstance.java:164)
	at javax.net.ssl.SSLContext.getInstance(SSLContext.java:156)
	at javax.net.ssl.SSLContext.getDefault(SSLContext.java:96)
	at javax.net.ssl.SSLSocketFactory.getDefault(SSLSocketFactory.java:122)
	at javax.net.ssl.HttpsURLConnection.getDefaultSSLSocketFactory(HttpsURLConnection.java:332)
	at javax.net.ssl.HttpsURLConnection.<init>(HttpsURLConnection.java:289)
	at sun.net.www.protocol.https.HttpsURLConnectionImpl.<init>(HttpsURLConnectionImpl.java:99)
	at sun.net.www.protocol.https.Handler.openConnection(Handler.java:62)
	at sun.net.www.protocol.https.Handler.openConnection(Handler.java:57)
	at java.net.URL.openConnection(URL.java:1001)
	at org.openstreetmap.josm.tools.Http1Client.setupConnection(Http1Client.java:41)
	at org.openstreetmap.josm.tools.HttpClient.connect(HttpClient.java:138)
	at org.openstreetmap.josm.tools.HttpClient.connect(HttpClient.java:124)
	at org.openstreetmap.josm.plugins.ReadRemotePluginInformationTask.downloadPluginList(ReadRemotePluginInformationTask.java:163)
	at org.openstreetmap.josm.plugins.ReadRemotePluginInformationTask.realRun(ReadRemotePluginInformationTask.java:329)
	at org.openstreetmap.josm.gui.PleaseWaitRunnable.doRealRun(PleaseWaitRunnable.java:94)
	at org.openstreetmap.josm.gui.PleaseWaitRunnable.run(PleaseWaitRunnable.java:142)
	at org.openstreetmap.josm.plugins.PluginHandler.updatePlugins(PluginHandler.java:1125)
	at org.openstreetmap.josm.gui.MainApplication.updateAndLoadEarlyPlugins(MainApplication.java:1141)
	at org.openstreetmap.josm.gui.MainApplication.mainJOSM(MainApplication.java:909)
	at org.openstreetmap.josm.gui.MainApplication$3.processArguments(MainApplication.java:277)
	at org.openstreetmap.josm.gui.MainApplication.main(MainApplication.java:714)

=== RUNNING THREADS ===
Thread: process reaper (18) of system
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.locks.LockSupport.parkNanos(LockSupport.java:215)
java.util.concurrent.SynchronousQueue$TransferStack.awaitFulfill(SynchronousQueue.java:460)
java.util.concurrent.SynchronousQueue$TransferStack.transfer(SynchronousQueue.java:362)
java.util.concurrent.SynchronousQueue.poll(SynchronousQueue.java:941)
java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1073)
java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1134)
java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
java.lang.Thread.run(Thread.java:748)

Thread: Signal Dispatcher (4) of system

Thread: Java2D Disposer (15) of system
java.lang.Object.wait(Native Method)
java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:144)
java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:165)
sun.java2d.Disposer.run(Disposer.java:148)
java.lang.Thread.run(Thread.java:748)

Thread: AppKit Thread (11) of system

Thread: main (1)
Stacktrace see above.

Thread: Finalizer (3) of system
java.lang.Object.wait(Native Method)
java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:144)
java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:165)
java.lang.ref.Finalizer$FinalizerThread.run(Finalizer.java:216)

Thread: TimerQueue (20) of system
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.locks.LockSupport.parkNanos(LockSupport.java:215)
java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(AbstractQueuedSynchronizer.java:2078)
java.util.concurrent.DelayQueue.take(DelayQueue.java:223)
javax.swing.TimerQueue.run(TimerQueue.java:174)
java.lang.Thread.run(Thread.java:748)

Thread: AWT-Shutdown (17) of system
java.lang.Object.wait(Native Method)
java.lang.Object.wait(Object.java:502)
sun.awt.AWTAutoShutdown.run(AWTAutoShutdown.java:295)
java.lang.Thread.run(Thread.java:748)

Thread: Reference Handler (2) of system
java.lang.Object.wait(Native Method)
java.lang.Object.wait(Object.java:502)
java.lang.ref.Reference.tryHandlePending(Reference.java:191)
java.lang.ref.Reference$ReferenceHandler.run(Reference.java:153)

Thread: AWT-EventQueue-0 (19) of main
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
java.awt.EventQueue.getNextEvent(EventQueue.java:554)
java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:187)
java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116)
java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:105)
java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93)
java.awt.EventDispatchThread.run(EventDispatchThread.java:82)

Thread: Java2D Queue Flusher (14) of system
java.lang.Object.wait(Native Method)
sun.java2d.opengl.OGLRenderQueue$QueueFlusher.run(OGLRenderQueue.java:203)

comment:7 Changed 5 months ago by Don-vip

Milestone: 20.0920.10
Resolution: fixed
Status: closedreopened

comment:8 Changed 5 months ago by Don-vip

Owner: changed from Don-vip to pghbridges@…
Status: reopenedneedinfo

Can you please try with Java 15?

comment:9 Changed 5 months ago by pghbr

Most recent Java for Mac OS is Version 8 Update 261 (Release date July 14, 2020) per https://www.java.com/en/download/manual.jsp

comment:10 Changed 5 months ago by pghbr

I looked further and found a Java 15 installer for Mac OS here: https://www.oracle.com/java/technologies/javase-downloads.html

But I will note that this is not the default option that is presented to typicial Mac OS users, so they probably would not know to do this.

That said, I installed the Java 15 pkg and JOSM still won't start up.

URL:https://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2020-10-03 13:42:38 +0200 (Sat, 03 Oct 2020)
Build-Date:2020-10-04 01:30:47
Revision:17084
Relative:URL: ^/trunk

Identification: JOSM/1.5 (17084 en) Mac OS X 10.14.6
OS Build number: Mac OS X 10.14.6 (18G4032)
Memory Usage: 895 MB / 1820 MB (594 MB allocated, but free)
Java version: 1.8.0_261-b12, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Look and Feel: com.apple.laf.AquaLookAndFeel
Screen: Display 69975944 2560x1440 (scaling 1.0x1.0)
Maximum Screen Size: 2560x1440
Best cursor sizes: 16x16 -> 16x16, 32x32 -> 32x32
VM arguments: [-Djava.library.path=/private/var/folders/ns/7jcvgkgd1w568s82d74zs2s80000gn/T/AppTranslocation/C125AEAE-8C9B-4CBA-A0C7-089659B91BFA/d/JOSM.app/Contents/MacOS, -DLibraryDirectory=${HOME}/Library, -DDocumentsDirectory=${HOME}/Documents, -DApplicationSupportDirectory=${HOME}/Library/Application Support, -DCachesDirectory=${HOME}/Library/Caches, -DApplicationDirectory=${HOME}/Applications, -DAutosavedInformationDirectory=${HOME}/Library/Autosave Information, -DDesktopDirectory=${HOME}/Desktop, -DDownloadsDirectory=${HOME}/Downloads, -DMoviesDirectory=${HOME}/Movies, -DMusicDirectory=${HOME}/Music, -DPicturesDirectory=${HOME}/Pictures, -DSharedPublicDirectory=${HOME}/Public, -DSystemLibraryDirectory=/Library, -DSystemApplicationSupportDirectory=/Library/Application Support, -DSystemCachesDirectory=/Library/Caches, -DSystemApplicationDirectory=/Applications, -DSystemUserDirectory=/Users, -DUserHome=${HOME}, -DSandboxEnabled=true, -DLaunchModifierFlags=0, -DLaunchModifierFlagCapsLock=false, -DLaunchModifierFlagShift=false, -DLaunchModifierFlagControl=false, -DLaunchModifierFlagOption=false, -DLaunchModifierFlagCommand=false, -DLaunchModifierFlagNumericPad=false, -DLaunchModifierFlagHelp=false, -DLaunchModifierFlagFunction=false, -Dapple.laf.useScreenMenuBar=true, -Dcom.apple.macos.use-file-dialog-packages=true, -Dcom.apple.macos.useScreenMenuBar=true, -Dcom.apple.mrj.application.apple.menu.about.name=JOSM, -Dcom.apple.smallTabs=true]

Plugins:
+ BuildingGeneralization
+ PicLayer
+ buildings_tools

Last errors/warnings:
- 00009.502 W: java.lang.ExceptionInInitializerError. Cause: java.lang.SecurityException: Can not initialize cryptographic mechanism. Cause: java.lang.SecurityException: The jurisdiction policy files are not signed by the expected signer! (Policy files are specific per major JDK release.Ensure the correct version is installed.)
- 00009.503 W: java.lang.SecurityException: The jurisdiction policy files are not signed by the expected signer! (Policy files are specific per major JDK release.Ensure the correct version is installed.)
- 00010.726 E: Handled by bug report queue: java.lang.NoClassDefFoundError: sun.security.ssl.SSLContextImpl$AbstractTLSContext


=== REPORTED CRASH DATA ===
BugReportExceptionHandler#handleException:
No data collected.

Warning issued by: BugReportExceptionHandler#handleException

=== STACK TRACE ===
Thread: main (1)
java.lang.NoClassDefFoundError: sun.security.ssl.SSLContextImpl$AbstractTLSContext
	at java.lang.Class.forName0(Native Method)
	at java.lang.Class.forName(Class.java:264)
	at java.security.Provider$Service.getImplClass(Provider.java:1701)
	at java.security.Provider$Service.newInstance(Provider.java:1659)
	at sun.security.jca.GetInstance.getInstance(GetInstance.java:236)
	at sun.security.jca.GetInstance.getInstance(GetInstance.java:164)
	at javax.net.ssl.SSLContext.getInstance(SSLContext.java:156)
	at javax.net.ssl.SSLContext.getDefault(SSLContext.java:96)
	at javax.net.ssl.SSLSocketFactory.getDefault(SSLSocketFactory.java:122)
	at javax.net.ssl.HttpsURLConnection.getDefaultSSLSocketFactory(HttpsURLConnection.java:332)
	at javax.net.ssl.HttpsURLConnection.<init>(HttpsURLConnection.java:289)
	at sun.net.www.protocol.https.HttpsURLConnectionImpl.<init>(HttpsURLConnectionImpl.java:99)
	at sun.net.www.protocol.https.Handler.openConnection(Handler.java:62)
	at sun.net.www.protocol.https.Handler.openConnection(Handler.java:57)
	at java.net.URL.openConnection(URL.java:1001)
	at org.openstreetmap.josm.tools.Http1Client.setupConnection(Http1Client.java:41)
	at org.openstreetmap.josm.tools.HttpClient.connect(HttpClient.java:138)
	at org.openstreetmap.josm.tools.HttpClient.connect(HttpClient.java:124)
	at org.openstreetmap.josm.plugins.ReadRemotePluginInformationTask.downloadPluginList(ReadRemotePluginInformationTask.java:163)
	at org.openstreetmap.josm.plugins.ReadRemotePluginInformationTask.realRun(ReadRemotePluginInformationTask.java:329)
	at org.openstreetmap.josm.gui.PleaseWaitRunnable.doRealRun(PleaseWaitRunnable.java:94)
	at org.openstreetmap.josm.gui.PleaseWaitRunnable.run(PleaseWaitRunnable.java:142)
	at org.openstreetmap.josm.plugins.PluginHandler.updatePlugins(PluginHandler.java:1125)
	at org.openstreetmap.josm.gui.MainApplication.updateAndLoadEarlyPlugins(MainApplication.java:1141)
	at org.openstreetmap.josm.gui.MainApplication.mainJOSM(MainApplication.java:909)
	at org.openstreetmap.josm.gui.MainApplication$3.processArguments(MainApplication.java:277)
	at org.openstreetmap.josm.gui.MainApplication.main(MainApplication.java:714)

comment:11 Changed 5 months ago by Don-vip

Cc: Stereo added

Forget Oracle. Please use a build from AdoptOpenJDK instead: https://adoptopenjdk.net/

You must also configure your system to use the new version of Java by default. I don't remember the macOS command to perform.

comment:12 Changed 5 months ago by anonymous

I used the Mac installer at AdoptOpenJDK.

In Terminal, using the command "java -version"

now gives the following results:

openjdk version "15" 2020-09-15
OpenJDK Runtime Environment AdoptOpenJDK (build 15+36)
OpenJDK 64-Bit Server VM AdoptOpenJDK (build 15+36, mixed mode, sharing)

That would seem to me to indicate the successful installation of AdoptOpen Java 15.

But JOSM still does not start up and shows the following in the JOSM startup messages:
Java version: 1.8.0_261-b12, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM

I also deleted all previous versions of Java in Library/Java and Users/*/Library/Java

Still not working.

comment:13 Changed 5 months ago by pghbr

Also for what it's worth, JOSM was working OK on Mac OS with Java 8 until very recently...like two or three releases before now.

comment:14 Changed 5 months ago by Stereo

Can you please try our beta macOS build at https://github.com/thomersch/josm/actions/runs/289727349 the link where it says "JOSM.app revision 17084", see if that fixes it for you?

comment:15 Changed 5 months ago by pghbr

Woo hoo! JOSM app opens. I downloaded data from an area, but did not do any editing, but I'll presume it's working now.

But I will suggest that most Mac users will need very specific instructions to update out of the usual Apple/Oracle Java 8 stream. (Kinda like all the little extra bits you have to download for Audacity audio editor...which is a hassle) Or JOSM will need to make that part of the download package/installation.

Thanks.

comment:16 Changed 5 months ago by Stereo

Including a JRE in the package is indeed what the beta build does :).

comment:17 Changed 5 months ago by Don-vip

Milestone: 20.10
Resolution: othersoftware
Status: needinfoclosed

Moving away from Java 8 and Oracle altogether is in the works. Thanks for letting us know it solves the issue.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain pghbridges@….
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.